=== debian/changelog ===
ros-kinetic-thormang3-offset-tuner-client (0.3.0-0xenial) xenial; urgency=high

  * refactoring to release
  * updated yaml files
  * updated balance param
  * updated walking balance
  * Contributors: Zerom, Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Fri, 30 Mar 2018 15:00:00 -0000

ros-kinetic-thormang3-offset-tuner-client (0.2.0-0xenial) xenial; urgency=high

  * added thormang3_offset_tuner_client package
  * Contributors: Kayman

 -- Pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-thormang3-offset-tuner-client (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * added description in package.xml
  * modified thormang3_demo for thormang3_foot_step_generator
  * Contributors: Kayman, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000
