=== debian/control ===
Source: ros-kinetic-thormang3-offset-tuner-client
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-qt-build, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-thormang3-offset-tuner-msgs
Homepage: http://wiki.ros.org/thormang3_offset_tuner_client
Standards-Version: 3.9.2

Package: ros-kinetic-thormang3-offset-tuner-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev, libyaml-cpp-dev, ros-kinetic-qt-build, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-std-msgs, ros-kinetic-thormang3-offset-tuner-msgs
Description: The GUI program that can adjust offset of THORMANG3.
 It is used with the thormang3_offset_tuner_server.
